de.esprit.netsuite.netdata.agent

## Class StreamAgentId

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.task.TaskId
      - - de.esprit.netsuite.rtask.RemoteTaskId
        - - de.esprit.netsuite.netdata.agent.AgentId
          - - de.esprit.netsuite.netdata.agent.StreamAgentId

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class StreamAgentId
      extends AgentId

  This is a special agentId used by `FileStreamDownloadAgent`
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamAgentId(SessionId sessId, java.lang.String agentName)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.netsuite.netdata.agent.AgentId

      `clone, equals, getCreationTs, getRenderText, isNoReturn, isRejectable, setNoReturn, setRejectable, toString`

    - ### Methods inherited from class de.esprit.netsuite.rtask.RemoteTaskId

      `getKillerSessionId, getOwnerSessionId, getServerName, getSessionId, setCancelledBy, setOwnerSessionId, setSessionId`

    - ### Methods inherited from class de.esprit.appsuite.task.TaskId

      `getFinishTime, getName, getRenderColor, getRenderIcon, getStartTime, getState, getTID, getType, hashCode, isFinished, isRunning, setFinished, setName, setRunning, setType, toDumpString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamAgentId

          public StreamAgentId(SessionId sessId,
                       java.lang.String agentName)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.